Zum Hauptinhalt springen
POST
/
properties
/
contacts
Create contact property
curl --request POST \
  --url https://api.telli.com/v2/properties/contacts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "dataType": "string",
  "label": "<string>",
  "description": "<string>",
  "options": [
    {
      "value": "<string>",
      "label": "<string>",
      "description": "<string>"
    }
  ]
}
'
{
  "type": "<unknown>",
  "key": "<string>",
  "dataType": "string",
  "source": "system",
  "label": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "options": [
    {
      "value": "<string>",
      "label": "<string>",
      "description": "<string>"
    }
  ]
}

Autorisierungen

Authorization
string
header
erforderlich

API key authentication. Use your telli API key as the bearer token.

Body

application/json
key
string
erforderlich
Required string length: 1 - 64
dataType
enum<string>
erforderlich
Verfügbare Optionen:
string,
number,
boolean,
date,
datetime,
select,
multi_select,
phone_number,
email
label
string
erforderlich
Minimum string length: 1
description
string
options
object[]

Only applicable for select and multi_select data types

Antwort

OK

type
any
erforderlich
key
string
erforderlich
Required string length: 1 - 64
dataType
enum<string>
erforderlich
Verfügbare Optionen:
string,
number,
boolean,
date,
datetime,
select,
multi_select,
phone_number,
email
source
enum<string>
erforderlich
Verfügbare Optionen:
system,
user,
integration
label
string
erforderlich
createdAt
string<date-time>
erforderlich
updatedAt
string<date-time>
erforderlich
description
string
options
object[]

Only applicable for select and multi_select data types